Mailmus

Organizations

GET
/projects/{projectId}/b2b/organizations
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Query Parameters

externalId?string

Only the organization with this identifier from your own system.

Response Body

application/json

curl -X GET "https://example.com/projects/string/b2b/organizations"
[  {    "id": "string",    "projectId": "string",    "name": "string",    "slug": "string",    "metadata": {},    "externalId": "string",    "status": "ACTIVE",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "memberCount": 0,    "pendingInvitationCount": 0  }]
POST
/projects/{projectId}/b2b/organizations
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/b2b/organizations" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "projectId": "string",  "name": "string",  "slug": "string",  "metadata": {},  "externalId": "string",  "status": "ACTIVE",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "memberCount": 0,  "pendingInvitationCount": 0}
GET
/projects/{projectId}/b2b/organizations/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/b2b/organizations/string"
{  "id": "string",  "projectId": "string",  "name": "string",  "slug": "string",  "metadata": {},  "externalId": "string",  "status": "ACTIVE",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "memberCount": 0,  "pendingInvitationCount": 0}
PATCH
/projects/{projectId}/b2b/organizations/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/projects/string/b2b/organizations/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "projectId": "string",  "name": "string",  "slug": "string",  "metadata": {},  "externalId": "string",  "status": "ACTIVE",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "memberCount": 0,  "pendingInvitationCount": 0}
DELETE
/projects/{projectId}/b2b/organizations/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X DELETE "https://example.com/projects/string/b2b/organizations/string"
{  "id": "string",  "projectId": "string",  "name": "string",  "slug": "string",  "metadata": {},  "externalId": "string",  "status": "ACTIVE",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "memberCount": 0,  "pendingInvitationCount": 0}